require('./init')
var http = require('http');
var express = require("express");
var RED = require("node-red");

const { redSettings } = require('./settings')

var app = express();

app.use("/static",express.static("public"));

var server = http.createServer(app);

RED.init(server,redSettings);

if (redSettings.httpAdminRoot !== false) {
    app.use(redSettings.httpAdminRoot,RED.httpAdmin);
}

// if (redSettings.httpNodeRoot !== false && redSettings.httpNodeAuth) {
//     app.use(redSettings.httpNodeRoot,basicAuthMiddleware(redSettings.httpNodeAuth.user,redSettings.httpNodeAuth.pass));
// }
// if (redSettings.httpNodeRoot !== false && redSettings.nodeAuth) {
//     app.use(redSettings.httpNodeRoot,tokensAuthMiddleware(redSettings.nodeAuth.tokens));
// }
if(redSettings.httpNodeRoot !== false){
    app.use(redSettings.httpNodeRoot,RED.httpNode);
}
server.listen(1880);
RED.start();